GET/connections/{connectionId}/live-message
Reads one inbox message with its body, recipients and attachment details live from Microsoft,
without storing it. messageId is the providerMessageId from LiveMail_GetLiveInbox. Attachments are
listed but cannot be kept from here.
Path Parameters
| Field | Type | Required | Description |
|---|
| connectionId | uuid | Required | |
Query Parameters
| Field | Type | Required | Description |
|---|
| messageId | string | Optional | |
Response
| Field | Type | Description |
|---|
| connectionId | uuid | |
| providerMessageId | string| null | |
| from | ParticipantResponse | |
| toLine | ParticipantResponse[]| null | |
| ccLine | ParticipantResponse[]| null | |
| subject | string| null | |
| sentAt | date-time | |
| textBody | string| null | |
| htmlBody | string| null | |
| attachments | GetLiveMessageResponseLiveAttachmentResponse[]| null | |
ParticipantResponse
| Field | Type | Description |
|---|
| name | string| null | |
| email | string| null | |
GetLiveMessageResponseLiveAttachmentResponse
| Field | Type | Description |
|---|
| fileName | string| null | |
| contentType | string| null | |
| sizeBytes | integer | |
| isInline | boolean | |